GETUID(2)

NAME
getuid, geteuid - get user identity

SYNOPSIS
#include <sys/types.h>
#include <unistd.h>
uid_t getuid(void)
uid_t geteuid(void)

DESCRIPTION
Getuid returns the real user ID of the current process, geteuid the effective user ID.

The real user ID identifies the person who is logged in. The effective user ID gives the process additional permissions during execution of “set-user-ID” mode processes, which use getuid to determine the real-user-id of the process that invoked them.

SEE ALSO
getgid(2), setuid(2).